Qyra
ReferenceRoles & Permissions

Update organization member

Updates the membership profile for a user in the current user's organization

PATCH/api/v1/org/users/{userUuid}

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
userUuidstringYesthe uuid of the user to update

Request body

{
  "role": "member"
}

Responses

200 — Ok

{
  "results": {
    "avatarGradient": {},
    "avatarUrl": "string",
    "isPending": true,
    "isInviteExpired": true,
    "isActive": true,
    "hasMultipleRoles": true,
    "roleUuid": "string",
    "role": "member",
    "organizationUuid": "string",
    "email": "string",
    "lastName": "string",
    "firstName": "string",
    "userUpdatedAt": "2024-01-01T00:00:00.000Z",
    "userCreatedAt": "2024-01-01T00:00:00.000Z",
    "userUuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}